<!DOCTYPE html>
<head th:replace="~{_layout/layout :: head}"></head>

<body>
<div class="container">
	<div th:replace="~{_layout/layout :: navbar}"></div>
	<div class="home-painel">
		<h4 class="menu">Baixar estoque</h4>
		<div class="panel panel-info">
			<br>
			<div class="panel-body">
				<form action="#" th:action="@{/estoque/saida/salvar}" class="form-horizontal"
					  method="post" th:object="${saida}">
					<input type="hidden" th:value="${saida.itemEstoque.id}" name="itemId"/>
					<div class="form-group">
						<label for="produto" style="padding-left: 15px" class="col-md3 control-label">Produto</label>
						<div class="col-md-9" style="display: flex">
							<select id="produto" name="produto" th:field="*{itemEstoque.produto}" class="form-control" style="display: inline-block">
								<option value=""> -- </option>
								<option th:each="produto : ${listaProdutos}" th:value="${produto.id}" th:utext="${produto.nome}"> </option>
							</select>
							<input type="button" value="Novo" style="display: inline-block; margin-left: 15px"
								   onclick="window.location.href='/estoque/produto/novo'; return false;" class="col-md-1 btn btn-primary" />
						</div>
					</div>
					<div class="form-group">
						<label for="reservado" class="col-md-3 control-label">Reservado?</label>
						<div class="col-md-1">
							<input type="checkbox" id="reservado" name="reservado" th:field="*{itemReservado}" class="form-control" />
						</div>
					</div>
					<div class="form-group">
						<label for="quantidade" class="col-md-3 control-label">Quantidade</label>
						<div class="col-md-9">
							<input id="quantidade" name="quantidade" th:field="*{qtdeBaixar}" class="form-control" />
						</div>
					</div>
					<div class="form-group">
						<label for="precoDoItem" class="col-md-3 control-label">Preço unitário</label>
						<div class="col-md-9">
							<input id="precoDoItem" name="precoDoItem" th:field="*{precoDoItem}" class="form-control" />
						</div>
					</div>
					<div class="form-group">
						<div class="col-md-offset-3 col-md-9">
							<button class="col-md-3 btn btn-primary">Salvar</button>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
</body>
</html>